Skip to main content
GET
/
v2
/
telematics
/
fleet-info
/
{fleet_info_id}
Get Fleet Info
curl --request GET \
  --url https://api.catenatelematics.com/v2/telematics/fleet-info/{fleet_info_id} \
  --header 'Authorization: Bearer <token>'
{
  "fleet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "source_id": "<string>",
  "source_data_hash": "<string>",
  "fleet_ref": "<string>",
  "deleted_at": "2023-11-07T05:31:56Z",
  "tsp_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tsp_slug": "<string>",
  "source_data": {},
  "occurred_at": "2023-11-07T05:31:56Z",
  "execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "schedule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "extras": {},
  "carrier_name": "<string>",
  "dot_number": "<string>",
  "dba_name": "<string>",
  "street": "<string>",
  "city": "<string>",
  "state": "<string>",
  "zip": "<string>",
  "country": "<string>",
  "phone_number": "<string>",
  "company_url": "<string>",
  "timezone": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

fleet_info_id
string<uuid>
required

The unique identifier of the fleet info record.

Query Parameters

include_source_data
boolean
default:false

Include the raw data from the telematics provider. Useful for auditing or accessing fields not normalized by Catena

Response

Successful Response

Fleet info model for API responses

fleet_id
string<uuid> | null
required

Internal fleet identifier.

id
string<uuid>
required

Unique identifier of the record at Catena Telematics.

created_at
string<date-time>
required

Immutable: The datetime the record was ingested into Catena Telematics.

updated_at
string<date-time>
required

The dateime the record was last modified in Catena Telematics.

connection_id
string<uuid>
required

Unique identifier of the connection at Catena Telematics through which this record was ingested. A connection represents a Fleet/TSP pairing.

source_name
enum<string>
required

The underlying telematics platform that provided this data (e.g., samsara, motive, hos247). Note: Some platforms like hos247 offer white-labeling, so multiple TSPs may share the same source_name — use tsp_id or tsp_slug to identify the specific ELD provider.

Available options:
ada,
ai_eld,
air_eld,
alfa_eld,
alpha_eld,
als,
anytrek_pro,
anytrek_classic,
apex_eld,
apollo,
apollocloud,
ascend,
att,
awaregps,
azuga,
bigroad,
bluehorse_eld,
blueinktech,
bouncie,
budgetgps,
catena_simulator,
captain_eld,
carrier_lynx,
club_eld,
counting_trucks_eld,
cyntrx,
digital_eld,
dragon_eld,
drive_hos,
drive_hos_v2,
driver_tech,
dsg_elogs,
dynamic_eld,
eighteighteight_eld,
eld_88,
eld_books,
eld_mandate,
eld_mandate_prime,
eroad,
eva_eld,
evo_eld,
expressway_eld,
extreme_eld,
ezlogz,
ez_lynk,
factor_eld,
firstgate,
fleetcomplete,
fleetcompletehub,
fleethunt,
fleetpulse,
fleetsharp,
fleetup,
fm,
forwardthinking,
forza_eld,
geotab,
gpsinsight,
gpstab,
gpstrackit,
grand_eld,
greenlight,
groundhog,
hcss,
hos247,
hutch,
intellishift,
ironman_eld,
isaac,
jjkeller,
kinexaiot,
knight_eld,
konexial,
lioneight,
linxup,
loop_eld,
lucid_eld,
luna_eld,
lytx,
lytxv3,
mapon,
matrack,
maven,
mdm_eld,
mobilefleet,
moonlight_eld,
motion_eld,
motive,
my_drivebook,
my_logs_eld,
nero,
netradyne,
new_eld_world,
nextgen_eld,
nextraq,
omnitracs,
onestep,
ontime_eld,
optima,
orbcomm,
orient_eld,
panda_eld,
payd,
peak_eld,
peoplenet,
phillips_connect,
phoenix,
pop_eld,
prologs,
proride_eld,
qualitylogs_eld,
randmcnally,
rastrac,
raven,
redfox,
regulog_eld,
ridehub,
roadeazy,
rock_eld,
rollingtrans,
routemate,
royal_eld,
safelane,
samsara,
selectivedrive,
simba_eld,
skybitz,
smart_elds,
sparkle_eld,
spireon,
sun_eld,
surfsight,
swift,
switchboard,
synergy_eld,
teletracnavman,
teletracnavman_director,
telogis,
tenna,
thermo_king,
think,
tive,
topcompliance_eld,
traccar,
trackease_eld,
trackpro,
traclog,
transflo,
trimble,
truckford,
truckspy,
truckx,
trueroad_eld,
tt,
txt_eld,
us_fast_eld,
verizon_connect,
vista_eld,
vistracks,
vlog_eld,
vulcansols_eld,
wialon,
webfleet,
xplore_eld,
zigzag_eld,
zms_eld,
zonar,
zubie
source_id
string
required

Unique identifier of the record in the TSP. Note: we generate a unique composite key based on available fields if the TSP does not provide an unique ID.

source_data_hash
string
required

SHA-256 hash of the source data payload. Note: we use it internally for idempotence and deduplication.

Maximum string length: 64
fleet_ref
string | null

External fleet reference in the partner system.

deleted_at
string<date-time> | null

The datetime the record was logically deleted from Catena Telematics.

tsp_id
string<uuid> | null

Unique identifier of the TSP at Catena Telematics from which this record was ingested.

tsp_slug
string | null

Human readable slug of the TSP at Catena Telematics from which this record was ingested.

source_data
Source Data · object

Raw source payload as ingested from the TSP. Note: use it for audit/debugging.

occurred_at
string<date-time> | null

Datetime of when the underlying event/observation occurred, as reported by the TSP, or the moment it was ingested by us if not available in the source data.

execution_id
string<uuid> | null

Unique identifier for the execution that ingested this record into Catena Telematics. Note: useful for tracing.

schedule_id
string<uuid> | null

Unique identifier for schedule that triggered this record's execution. Note: useful for tracing.

extras
Extras · object

Additional data available in the TSP (e.g., we may have external_id, provider_resource_id, etc. — this field captures all those extra attributes in a flexible way).

carrier_name
string | null

Legal or primary carrier name for the fleet.

dot_number
string | null

USDOT number associated with the fleet.

dba_name
string | null

Doing-business-as name for the fleet, if different from the carrier name.

street
string | null

Street address for the fleet.

city
string | null

City portion of the fleet's address.

state
string | null

State or province portion of the fleet's address.

zip
string | null

ZIP or postal code for the fleet's address.

country
string | null

Country for the fleet's address.

phone_number
string | null

Primary phone number for the fleet.

company_url
string | null

Primary website URL for the fleet.

timezone
string | null

Primary timezone for the fleet, ideally as an IANA timezone identifier.